$(document).ready(function () {

    $.validator.addMethod("noHttps", function(value, element) {
        return value.includes('https') !== true;
    }, "Installation URL cannot contain https://!");

    $.validator.addMethod("noHttp", function(value, element) {
        return value.includes('http') !== true;
    }, "Installation URL cannot contain http!");

    $.validator.addMethod("noIndexPhp", function(value, element) {
        return value.includes('index.php') !== true;
    }, "Installation URL cannot contain index.php!");

    $.validator.addMethod("noWWW", function(value, element) {
        return value.includes('www') !== true;
    }, "Installation URL cannot contain www!");

    $.validator.addMethod("lastSlash", function(value, element) {
        return value.charAt(value.length - 1) !== '/';
    }, "NO trailing slash ( / ) at the end of your url");

    $('#getLicense').validate({
        rules: {
            license_key: {
                required: true
            },
            domain: {
                noHttps:true,
                noHttp:true,
                noIndexPhp: true,
                noWWW: true,
                lastSlash: true,
                required: true,
                remote: {
                    url: "check-domain.php",
                    type: "post",
                    data: {
                        extension_name : function(){
                            var dn = $('#products :selected').html();
                            return dn;
                        }
                    }
                }
            }
        },
        messages: {
            license_key: {
                required: "Please enter the license key!"
            },
            domain: {
                required: "Please enter your domain name!",
                remote: "Your domain is already registered in our system for this extension! Check your support system for the license key that is assigned already."
            }
        }
    });

    $('#login').validate({
        rules: {
            username: "required",
            password: "required"
        },
        messages: {
            username: "Please enter your username!",
            password: "Please enter your password!"
        }
    });

    $('#password').keypress(function (e){
       if (e.which===13) {
           $('#loginBtn').trigger('click');
       }
    });

    $('#loginBtn').click(function (e) {
        if (!$('#login').valid()) {
            return false;
        } else {
            $.ajax({
                url: 'login.php',
                type: 'POST',
                data: $('#login').serialize(),
                success: function (html) {
                    if (html === '1') {
                        window.location.replace('license.php');
                    } else {
                        $("#msg").html(html).show();
                    }
                }
            });
        }
    });

    $('#obtain').click(function () {
        if (!$('#getLicense').valid()) {
            return false;
        } else {
            var domain = $('#domain').val();
            var extension_name = $('#products option:selected').val();
            $.ajax({
                url: 'check-domain.php',
                type: 'post',
                data: { domain: domain, extension_name: extension_name },
                dataType: 'html',
                cache: false,
                success: function(json) {
                    $('#domain_error').html('');
                    if (json==='false') {
                        $('#domain_error').html('Your domain is already registered in our system for this extension! Check your support system for the license key that is assigned already.').show();
                    } else {
                        $('#domain_error').html('').hide();
                        $('#products').attr('disabled',false);
                        $('#domain').attr('disabled',false);
                        $.ajax({
                            url: 'generate.php',
                            type: 'POST',
                            data: $('#getLicense').serialize(),
                            success: function (html) {
                                $("#msg").html(html);
                                $("#msg").show();
                                if (html!=='The license cannot be issued! Please try again later.') {
                                    $('#license_key').val('');
                                    $('#domain').val('');
                                }
                            }
                        });
                    }

                    // No action needed
                }
            });
            /**
            $.ajax({
                url: 'generate.php',
                type: 'POST',
                data: $('#getLicense').serialize(),
                success: function (html) {
                    $("#msg").html(html);
                    $("#msg").show();
                    if (html!=='The license cannot be issued! Please try again later.') {
                        $('#license_key').val('');
                        $('#domain').val('');
                    }
                }
            });**/
        }
    });
});

function GetQueryStringParams(sParam) {
    var sPageURL = window.location.search.substring(1);
    var sURLVariables = sPageURL.split('&');
    for (var i = 0; i < sURLVariables.length; i++) {
        var sParameterName = sURLVariables[i].split('=');
        if (sParameterName[0] == sParam) {
            return sParameterName[1];
        }
    }
}