<?php
/**
 * License Keys create info controller
 *
 * @package blesta
 * @subpackage blesta.plugins.license_keys
 * @copyright Copyright (c) 2020, We Hear You 2, Inc.
 */

class AdminCreate extends LicenseKeysController {

    public function preAction()	{
        parent::preAction();
        $this->structure->setDefaultView(APPDIR);
        $this->structure->setView(null, $this->orig_structure_view);
        $this->requireLogin();

        $this->uses(['LicenseKeys.LicenseKeysList']);
        Language::loadLang('admin_create', null, PLUGINDIR . 'license_keys' . DS . 'language' . DS);

    }

    /**
     * Renders the Extensions Info Add page
     */
    public function index($content = null) {
        // If this request was made via ajax render only the right container
        if ($content == null && $this->isAjax()) {
            header($this->server_protocol . ' 406 AJAX requests not supported by this resource');
            return false;
        }

        $this->uses(['LicenseKeys.LicenseKeysList']);

        if ($this->post) {
            if (isset($this->post['created_at']) && $this->post['created_at']==='') {
                $this->post['created_at']=null;
            }
            if (isset($this->post['renewal_date']) && $this->post['renewal_date']==='') {
                $this->post['renewal_date']=null;
            }
            if (isset($this->post['renewed_date']) && $this->post['renewed_date']==='') {
                $this->post['renewed_date']=null;
            }
            $license_id = $this->LicenseKeysList->create($this->post);
            $title = Language::_('AdminCreate.!success.info_added', true);
            $title = str_replace("{id}",$license_id,$title);
            $this->flashMessage('message', $title);
            $this->redirect($this->base_uri . 'plugin/license_keys/admin_main/');
        }

        $this->render('admin_create');
    }

}