<?php
/**
 * License Keys info details controller
 *
 * @package blesta
 * @subpackage blesta.plugins.license_keys
 * @copyright Copyright (c) 2020, We Hear You 2, Inc.
 */

use Blesta\Core\Util\Common\Traits\Container;

class AdminDetail extends LicenseKeysController {
    use Container;

	public function preAction()	{
		parent::preAction();
		$this->structure->setDefaultView(APPDIR);
		$this->structure->setView(null, $this->orig_structure_view);
		$this->requireLogin();

		$this->uses(['LicenseKeys.LicenseKeysList']);
		Language::loadLang('admin_detail', null, PLUGINDIR . 'license_keys' . DS . 'language' . DS);

	}

	/**
	 * Renders the Extensions Info Edit page
	 */
	public function edit($content = null) {
		// If this request was made via ajax render only the right container
		if ($content == null && $this->isAjax()) {
			header($this->server_protocol . ' 406 AJAX requests not supported by this resource');
			return false;
		}

		$this->uses(['LicenseKeys.LicenseKeysList']);

		// Ensure we have a client ID to load
		if (!isset($this->get[0]) || !($info = $this->LicenseKeysList->getLicenseKeyById((int)$this->get[0]))) {
			$this->redirect($this->base_uri . 'plugin/license_keys/admin_main');
		}

        $logger = $this->getFromContainer('logger');
        $this->logger = $logger;
		if ($this->post) {
			$this->LicenseKeysList->update((int)$this->get[0],$this->post);
			$title = Language::_('AdminDetail.!success.info_updated', true);
			$title = str_replace("{id}",$this->get[0],$title);
			$this->flashMessage('message', $title);
			$this->redirect($this->base_uri . 'plugin/license_keys/admin_main/');
		}

		$info = $this->LicenseKeysList->getLicenseKeyById((int)$this->get[0]);
		$this->set('info', $info);
		$this->render('admin_detail_edit');
	}

}
