$(document).ready(function () {
    $('#register').validate({
        rules: {
            invoice: "required",
            username: "required",
            fname: "required",
            lname: "required",
            email: {
                required: true,
                email: true
            },
            password: {
                required: true
            },
            npassword: {
                required: true,
                equalTo: "#password"
            },
            domain: "required"
        },
        messages: {
            invoice: "Please enter the invoice number!",
            username: "Please enter your username!",
            fname: "Please enter your firstname!",
            lname: "Please enter your lastname!",
            email: "Please enter a valid email address!",
            password: {
                required: "Please provide a password!"
            },
            npassword: {
                required: "Please confirm your password!",
                equalTo: "Please enter the same password as above!"
            },
            domain: "Please enter your domain name!"
        }
    });

    $('#getLicense').validate({
        rules: {
            invoice: "required",
            domain: "required"
        },
        messages: {
            invoice: "Please enter the invoice number!",
            domain: "Please enter your domain name!"
        }
    });

    $('#login').validate({
        rules: {
            username: "required",
            password: "required"
        },
        messages: {
            username: "Please enter your username!",
            password: "Please enter your password!"
        }
    });

    $('#loginBtn').click(function (e) {
        if (!$('#login').valid()) {
            return false;
        } else {
            $.ajax({
                url: 'login.php',
                type: 'POST',
                data: $('#login').serialize(),
                success: function (html) {
                    if (html === '1') {
                        window.location.replace('license.php');
                    } else {
                        $("#msg").html(html).show();
                    }
                }
            });
        }
    });

    $('#btn').click(function () {
        if (!$('#register').valid()) {
            return false;
        } else {
            $.ajax({
                url: 'process.php',
                type: 'POST',
                data: $('#register').serialize() + '&extension_name=' + $('#products').text,
                success: function (html) {
                    $("#msg").html(html);
                    var exist = html.includes('is taken. Please choose another username.');
                    if (exist === true) {
                        $('#username').val('');
                        $('#password').val('');
                        $('#npassword').val('');
                    } else {
                        $('#invoice').val('');
                        $('#domain').val('');
                        $('#username').val('');
                        $('#firstname').val('');
                        $('#lastname').val('');
                        $('#password').val('');
                        $('#npassword').val('');
                        $('#email').val('');
                    }
                    $("#msg").show();
                }
            });
        }
    });

    $('#obtain').click(function () {
        if (!$('#getLicense').valid()) {
            return false;
        } else {
            $.ajax({
                url: 'generate.php',
                type: 'POST',
                data: $('#getLicense').serialize(),
                success: function (html) {
                    $("#msg").html(html);
                    $("#msg").show();
                    if (html!=='The license cannot be issued! Please try again later.') {
                        $('#invoice').val('');
                        $('#domain').val('');
                    }
                }
            });
        }
    });
});

function GetQueryStringParams(sParam) {
    var sPageURL = window.location.search.substring(1);
    var sURLVariables = sPageURL.split('&');
    for (var i = 0; i < sURLVariables.length; i++) {
        var sParameterName = sURLVariables[i].split('=');
        if (sParameterName[0] == sParam) {
            return sParameterName[1];
        }
    }
}