<?php
require_once 'lib/php-serial.class.php';
require_once "blesta_api.php";

session_start();

//production
$user = "admin";
$key = "b01bbe3f522b46a1f41eb1c6ac77c4be";
$url = "https://abantecartplus.com/clientarea/api/";

$api = new BlestaApi( $url, $user, $key );

$license = Serial::newSerial( 4, 5, '-' );
//echo $license;
if ($_POST['trial']==='1') {
	$data['license_code'] = 'test-MC-'.$license;
} else {
	$data['license_code'] = 'MC-'.$license;
}

$data['invoice']     = $_POST['invoice'];
$data['product_id']  = $_POST['products'];
$data['domain_name'] = $_POST['domain'];
$search=array("https://","http://");
$replace=array("","");
$data['domain_name'] = str_replace($search,$replace,$data['domain_name']);
$data['trial']       = $_POST['trial'];
$domains = explode('/',$data['domain_name']);
$data['ip'] = gethostbyname($domains[0]);
$data['version'] = str_replace('-','.',$_POST['version']);
$data['extension_name'] = getExtensionNameByProductId($_POST['products']);

$response2 = $api->get( "users", "getByUsername",array(
	'username' => $_SESSION['username']
));
$result2=$response2->response();
if ($result2) {
	$clientId = $result2->id;
	$getClientInfo = $api->get( "clients", "getByUserId",array(
		'user_id' => $clientId
	));
	$clientInfo=json_decode(json_encode($getClientInfo->response()),true);
	$data['client_id'] = $clientInfo['id'];
	$data['client_id_code'] = $clientInfo['id_code'];
	$data['fname'] = $clientInfo['first_name'];
	$data['lname'] = $clientInfo['last_name'];
	$data['email'] = $clientInfo['email'];
}

$installed           = exist($data);

if ($installed) {
	echo 'There is already an associated license key with the product in domain '.$_POST['domain'].'.';
} else {
	$issue               = issueLicense( $data );
	if ($issue['api_action_success'] === 1 && $issue['error_detected']===0) {
		$html = '<strong>IMPORTANT NOTE: Due to the sensitivity of this information, the License code is ONLY provided here.<br><br>
			   Make a copy and retain for your records.<br><br>
			   Your license code is: <br><br>'
		        . $data['license_code'].'<br>';
		if ($_POST['trial']==='1') {
			$date = strtotime("+1 day");
			$html.= 'The license will expire in '.date('Y-m-d', $date);
		}
		$html.= '</strong>';
		echo $html;

		$response3 = $api->post( "license_keys.license_keys_list", "create", array(
			'vars' => array(
				'first_name'              => $data['fname'],
				'last_name'               => $data['lname'],
				'email'                   => $data['email'],
				'client_id'               => $data['client_id'],
				'client_id_code'          => $data['client_id_code'],
				'extension_name'          => $data['extension_name'],
				'version'                 => $data['version'],
				'installation_url'        => $data['domain_name'],
				'ip_address'              => $data['ip'],
				'license_code'            => $license,
				'created_at'              => date("Y-m-d h:m:s")
			)
		) );

		$result3 = $response3->response();
		$err3    = $response3->errors();
		if ($err3) {
			$admTo      = 'yonghan79@gmail.com';
			$admSubject = "Error during saving license detail to Blesta";
			$admHeaders = "From: Support Departement <support@wehearyou2.com>" . "\r\n";
			$admHeaders .= "Reply-To: support@wehearyou2.com" . "\r\n";
			$admHeaders .= "Return-Path: support@wehearyou2.com " . "\r\n";
			$admHeaders .= "MIME-Version: 1.0" . "\r\n";
			$admHeaders .= "Content-Type: text/html; charset=utf-8" . "\r\n";
			mail( $admTo, $admSubject, var_export( $err3, true ), $admHeaders );
		}
	} else {
		echo 'The license cannot be issued! Please try again later.';
		$admTo      = 'yonghan79@gmail.com';
		$admSubject = "Error during generating license code";
		$admHeaders = "From: Support Departement <support@wehearyou2.com>" . "\r\n";
		$admHeaders .= "Reply-To: support@wehearyou2.com" . "\r\n";
		$admHeaders .= "Return-Path: support@wehearyou2.com " . "\r\n";
		$admHeaders .= "MIME-Version: 1.0" . "\r\n";
		$admHeaders .= "Content-Type: text/html; charset=utf-8" . "\r\n";
		mail( $admTo, $admSubject, var_export( $issue, true ), $admHeaders );
	}
}

function issueLicense( $data ) {
	$url    = 'https://wehearyou2.net/licensing/apl_api/api.php';
	//$url    = 'https://abdev7.com/licensing/apl_api/api.php';
	//$license = 'DKcxX7MHRImT5Bzu';
	$client = 'api_key_secret=r97r6sOBFslBCpQJ&api_function=licenses_add&product_id=' . $data['product_id'].
	          '&license_code=' . $data['license_code'] . '&license_require_domain=1
	          &license_status=1&license_domain=' . $data['domain_name'] .
	          '&license_order_number=' . $data['invoice'] . '&license_limit=1';
	if ($data['trial']==='1') {
		$date = new DateTime(date("Y-m-d"));
		$date->modify('+1 day');
		$expireDATE = $date->format('Y-m-d');
		$client.="&license_expire_date=".$expireDATE;
	}

	$curl   = curl_init();
	curl_setopt_array( $curl, array(
		CURLOPT_URL            => $url,
		CURLOPT_RETURNTRANSFER => true,
		CURLOPT_ENCODING       => "",
		CURLOPT_MAXREDIRS      => 10,
		CURLOPT_TIMEOUT        => 3000,
		CURLOPT_HTTP_VERSION   => CURL_HTTP_VERSION_1_1,
		CURLOPT_CUSTOMREQUEST  => "POST",
		CURLOPT_POSTFIELDS     => $client,
		CURLOPT_ENCODING       => "",
		CURLOPT_HTTPHEADER     => array(
			"accept: application/x-www-form-urlencoded",
			"cache-control: no-cache",
			"content-type: application/x-www-form-urlencoded"
		),
		CURLOPT_VERBOSE        => 0,
	) );
	$response = json_decode( curl_exec( $curl ), true );
	$err      = curl_error( $curl );
	curl_close( $curl );
	return $response;
}

function exist($data) {
	$url    = 'https://wehearyou2.net/licensing/apl_api/api.php';
	//$url    = 'https://abdev7.com/licensing/apl_api/api.php';
	//$license = 'DKcxX7MHRImT5Bzu';
	$client = 'api_key_secret=r97r6sOBFslBCpQJ&api_function=search&search_type=installation&search_keyword='.$data['domain_name'];

	$curl   = curl_init();
	curl_setopt_array( $curl, array(
		CURLOPT_URL            => $url,
		CURLOPT_RETURNTRANSFER => true,
		CURLOPT_ENCODING       => "",
		CURLOPT_MAXREDIRS      => 10,
		CURLOPT_TIMEOUT        => 3000,
		CURLOPT_HTTP_VERSION   => CURL_HTTP_VERSION_1_1,
		CURLOPT_CUSTOMREQUEST  => "POST",
		CURLOPT_POSTFIELDS     => $client,
		CURLOPT_ENCODING       => "",
		CURLOPT_HTTPHEADER     => array(
			"accept: application/x-www-form-urlencoded",
			"cache-control: no-cache",
			"content-type: application/x-www-form-urlencoded"
		),
		CURLOPT_VERBOSE        => 0,
	) );
	$response = json_decode( curl_exec( $curl ), true );
	$err      = curl_error( $curl );
	curl_close( $curl );

	if (isset($response['page_message']['error'])) {
		return false;
	} else {
		$message = $response['page_message'];
		if (sizeof($message) > 1) {
			foreach ( $message as $msg ) {
				if ( $msg['installation_domain'] === $data['domain_name'] && $msg['product_id'] === $data['product_id'] ) {
					return true;
					continue;
				}
			}
		} elseif ($message[0]['installation_domain'] === $data['domain_name'] && (int)$message[0]['product_id'] === (int)$data['product_id']) {
			return true;
		}
	}
}

function getExtensionNameByProductId($id) {
	switch ($id) {
		case "1":
			$product_name = 'AddThis';
			break;
		case "2":
			$product_name = 'Advanced reports';
			break;
		case "3":
			$product_name = 'AusPost integration';
			break;
		case "5":
			$product_name = 'Calendar';
			break;
		case "6":
			$product_name = 'CanadaPost integration';
			break;
		case "7":
			$product_name = 'Constant contact integration';
			break;
		case "8":
			$product_name = 'Email editor';
			break;
		case "4":
			$product_name = 'Enhanced AIM';
			break;
		case "9":
			$product_name = 'Enhanced editor';
			break;
		case "11" :
			$product_name = 'Enhanced flat rate';
			break;
		case "10" :
			$product_name = 'FedEx integration';
			break;
		case "12" :
			$product_name = 'HonestGreen import addon';
			break;
		case "13" :
			$product_name = 'HonestGreen orders management addon';
			break;
		case "14" :
			$product_name = 'MailChimp integration';
			break;
		case "15" :
			$product_name = 'MailChimp plus integration';
			break;
		case "16" :
			$product_name = 'Multiple price changer';
			break;
		case "17" :
			$product_name = 'Option price lite';
			break;
		case "18" :
			$product_name = 'Option price pro';
			break;
		case "20" :
			$product_name = 'Option price link pro';
			break;
		case "21" :
			$product_name = 'Product as option';
			break;
		case "22" :
			$product_name = 'Purolator integration';
			break;
		case "23" :
			$product_name = 'Pricing calculator';
			break;
		case "24" :
			$product_name = 'Quick checkout';
			break;
		case "25" :
			$product_name = 'Quick view';
			break;
		case "47" :
			$product_name = 'Reorder';
			break;
		case "26" :
			$product_name = 'Sales by state report';
			break;
		case "27" :
			$product_name = 'Special shipping with images';
			break;
		case "28" :
			$product_name = 'TaxJar integration';
			break;
		case "29" :
			$product_name = 'Telephone option';
			break;
		case "30" :
			$product_name = 'Total import';
			break;
		case "35" :
			$product_name = 'Track shipments';
			break;
		case "31" :
			$product_name = 'UPS integration';
			break;
		case "32" :
			$product_name = 'UPS integration plus';
			break;
		case "33" :
			$product_name = 'USPS integration';
			break;
		case "34" :
			$product_name = 'VAT/Tax Id option';
			break;
		case "48" :
			$product_name = 'Banner Statistic Manager';
			break;
		case "49" :
			$product_name = 'Brands Info';
			break;
		case "46" :
			$product_name = 'Build A Gift';
			break;
		case "36" :
			$product_name = 'Cost plus changer';
			break;
		case "35" :
			$product_name = 'EasyAppointment Integration';
			break;
	}
	return $product_name;
}