<?php
session_start();
if (!isset($_SESSION['username'])) {
    header('Location: index.php');
}

$extension_name = ucfirst($_SESSION['extension_name']);

require_once "blesta_api.php";
$user = "handoyo";
$key  = "31836ae69f6fff49d0dbe55bcdffb432";
$url  = "https://abdev7.com/development/api/";

$api = new BlestaApi( $url, $user, $key );

$packagesInfo = $api->get("packages","getAll",array(
    'company_id' => '1'
));
$packagesInfoResult = $packagesInfo->response();
$packagesInfoErrorResult = $packagesInfo->errors();
if ($packagesInfoResult) {
    $packages = json_decode(json_encode($packagesInfoResult),true);
    $options = $selected = '';

    foreach ($packages as $package) {
        if (stripos($package['name'], ' License') == false || stripos($package['name'], ' Development') !== false || stripos($package['name'], 'Rent ') !== false || stripos($package['name'], 'Additional ') !== false || stripos($package['name'], ' Support And Updates Service') !== false) {
            continue;
        }

        if ($package['name']=='USPS Integration') {
            $ext_name = 'US Postal Service Integration';
        } else {
            $ext_name = $package['name'];
        }

        if ($package['name']===$extension_name && $extension_name!=='') {
            $selected = 'selected';
        } else {
            $selected = '';
        }

        $options.= '<option value="'.$package['name'].'" '.$selected.'>'.$ext_name.'</option>';
    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Obtain Extension License Key</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- CSS -->
    <link rel='stylesheet' href='https://fonts.googleapis.com/css?family=PT+Sans:400,700'>
    <link rel='stylesheet' href='https://fonts.googleapis.com/css?family=Oleo+Script:400,700'>
    <link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="assets/css/style.css">
    <link rel="stylesheet" href="assets/css/select2.min.css">
    <link rel="shortcut icon" href="assets/img/favicon.ico">
    <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->

</head>

<body>

<div class="header">
    <div class="container">
        <div class="row">
            <div class="logo span4">
                <img src="assets/img/logo.jpg" alt="">
            </div>
            <div class="span6">
                <h1>Obtain Extension License Key</h1>
            </div>
            <div class="span2 logout">
                <a href="logout.php" class="btn btn-primary">Logout</a>
            </div>
        </div>
    </div>
</div>

<div class="register-container container">
    <div class="row">
        <div class="register span5">
            <div class="notification">
                Notes: This page is for obtaining the extension license key only. Please go <a href="register.php" target="_blank"><strong>here</strong></a> if you are not registered to our support system yet.<br><br>
                <strong>Important Notes:<br>
                    1. MarketPlace Order ID:<a href="assets/img/order-id.png">
                        <img src="assets/img/order-id.png">
                    </a><br>
                    2. Location where installed examples:<br>
                    - If in root e.g. yourdomain.com NOT yourdomain.com/<br>
                    - If in subfolder e.g.  yourdomain.com/abantecart NOT yourdomain.com/abantecart/<br>
                    - NO leading http:// or https://<br>
                    - NO trailing slash ( / ) at the end of your url.<br>
                    - DO NOT enter Your extension installation URL, but Your Store URL.
                </strong>
            </div>
            <div id="msg" style="display: none"></div>
        </div>
        <div class="register span6">
            <form action="" method="post" id="getLicense">
                <h2></h2>
                <label for="invoice">AbanteCart MarketPlace or AbanteCartExtensions Order ID</label>
                <input type="text" id="invoice" name="invoice" placeholder="enter Order ID...">
                <strong>IMPORTANT NOTES for extension name:<br>
                    1. Wrong extension name selection will cause failure of extension to work.<br>
                    2. Scroll down or type the extension name in the input field to get the correct extension name.</strong>
                <label class="required" for="products">Select the extension name</label>
                <select id="products" name="products" style="width: 99%">
                    <?php echo $options;?>
                </select>
                <strong>IMPORTANT NOTES for extension version:<br>
                    Scroll down or type the extension version in the input field to get the correct extension version.</strong>
                <label class="required" for="extension">Select extension version</label>
                <select id="version" name="version" style="width: 99%">
                    <option value="1-3-2.10">1.3.2.10</option>
                    <option value="1-3-1.10">1.3.1.10</option>
                    <option value="1-3-0-10">1.3.0.10</option>
                    <option value="1-2-16-10">1.2.16.10</option>
                    <option value="1-2-15-10">1.2.15.10</option>
                </select>
                <div style="padding-top: 5px"></div>
                <label for="domain">Location where installed</label>
                <input type="text" id="domain" name="domain" placeholder="enter without end trailing slash... i.e. abc.com/store">
                <div id="domain_error" style="display:none;color:red;font-style:italic"></div>
                <button id='obtain' type="button">OBTAIN</button>
            </form>
        </div>
    </div>

</div>

<div class="footer">
    The support is provided from our centralized Support Team at We Hear You 2, Inc.
</div>

<!-- Javascript -->
<script src="assets/js/jquery-1.8.2.min.js"></script>
<script src="assets/bootstrap/js/bootstrap.min.js"></script>
<script src="assets/js/jquery.validate.min.js"></script>
<script src="assets/js/scripts.js"></script>
<script src="assets/js/select2.min.js"></script>
<script type="text/javascript">
    $(document).ready(function() {
        $('#products').select2();
        $('#version').select2();
        $('#products').one('select2:open', function(e) {
            $('input.select2-search__field').prop('placeholder', 'start typing or select by using the scrollbar');
        });
        $('#version').one('select2:open', function(e) {
            $('input.select2-search__field').prop('placeholder', 'start typing or select by using the scrollbar');
        });
    });
</script>
</body>

</html>