<?php
/**
 * License Manager manage plugin controller
 * 
 * @package blesta
 * @subpackage blesta.plugins.license_manager
 * @copyright Copyright (c) 2010, Phillips Data, Inc.
 * @license http://www.blesta.com/license/ The Blesta License Agreement
 * @link http://www.blesta.com/ Blesta
 */
class AdminManagePlugin extends AppController {
	
	/**
	 * Performs necessary initialization
	 */
	private function init() {
		// Require login
		$this->parent->requireLogin();
		
		Language::loadLang("license_manager_manage_plugin", null, PLUGINDIR . "license_manager" . DS . "language" . DS);

		// Use the parent data helper, it's already configured properly
		$this->Date = $this->parent->Date;
		
		// Set the company ID
		$this->company_id = Configure::get("Blesta.company_id");
		
		// Set the plugin ID
		$this->plugin_id = (isset($this->get[0]) ? $this->get[0] : null);
		
		// Set the page title
		$this->parent->structure->set("page_title", Language::_("LicenseManagerManagePlugin." . Loader::fromCamelCase($this->action ? $this->action : "index") . ".page_title", true));
		
		// Set the view to render for all actions under this controller
		$this->view->setView(null, "LicenseManager.default");
	}
	
	/**
	 * Returns the view to be rendered when managing this plugin
	 */
	public function index() {
		$this->init();
		$this->uses(array("LicenseManager.LicenseManagerSettings"));
		
		$settings = $this->LicenseManagerSettings->getSettings($this->company_id);
		
		$vars = (object)$settings;
		$plugin_id = $this->plugin_id;
		
		if (!empty($this->post)) {
			$this->LicenseManagerSettings->setSettings($this->company_id, $this->post);
			
			if (($error = $this->LicenseManagerSettings->errors()))
				$this->parent->setMessage("error", $error);
			else
				$this->parent->setMessage("message", Language::_("LicenseManagerManagePlugin.!success.settings_saved", true));
				
			$vars = (object)$this->post;
		}
		
		// Set the view to render
		return $this->partial("admin_manage_plugin", compact("plugin_id", "vars"));
	}
}
?>